Skip to Content
Chameleon Docs
API referenceUploaded pictures

Delete uploaded picture

Deletes an uploaded picture; a card that placed it is reported by the checks. Refused while a job runs on the manual, so no publish can take the picture while it is being deleted.

DELETE
/api/manuals/{id}/uploads/{pictureId}

Deletes an uploaded picture; a card that placed it is reported by the checks.

Refused while a job runs on the manual, so no publish can take the picture while it is being deleted.

Authorization

headerx-api-key<token>

Scope: manuals:write

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
pictureId*string

Response Body

Deleted

Example Request
curl -X DELETE 'https://www.chameleonlabs.org/api/manuals/string/uploads/string'
Example Response
Empty